Skip to content

Register a Fin Voice call

Request

Register a Fin Voice call with Intercom. This endpoint creates an external reference that links an external call identifier to an Intercom call and conversation.

The call can be from different sources:

  • AWS Connect (default)
  • Five9
  • Zoom Phone
Security
bearerAuth
Bodyapplication/json
phone_numberstringrequired

Phone number in E.164 format for the call

Example:"+1234567890"
call_idstringrequired

External call identifier from the call provider

Example:"call-123-abc"
sourcestring

Source of the call. Can be "five9", "zoom_phone", or defaults to "aws_connect"

Enum:"five9""zoom_phone""aws_connect"
Example:"aws_connect"
dataobject or null

Additional metadata about the call

Example:
{ "key": "value" }
curl -i -X POST \
  https://api.intercom.io/fin_voice/register \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "phone_number": "+1234567890",
    "call_id": "call-123-abc",
    "source": "aws_connect",
    "data": {
      "key": "value"
    }
  }'

Responses

successful

Bodyapplication/json
idinteger

The unique identifier for the external reference

Example:12345
app_idinteger

The workspace identifier

Example:12345
user_phone_numberstring

Phone number in E.164 format for the call

Example:"+1234567890"
statusstring

Status of the call. Can be "registered", "in-progress", or a resolution state

Example:"registered"
intercom_call_idstring or null

The Intercom call identifier, if the call has been matched

Example:"1234"
external_call_idstring

The external call identifier from the call provider

Example:"call-123-abc"
intercom_conversation_idstring or null

The Intercom conversation identifier, if a conversation has been created

Example:"5678"
call_transcriptArray of objects

Array of transcript entries for the call

Example:
[]
call_summarystring

Summary of the call conversation, truncated to 256 characters. Empty string if no summary available.

Example:"Customer called about billing issue..."
intentArray of objects

Array of intent classifications for the call

Example:
[]
Response
{ "id": 12345, "app_id": 12345, "user_phone_number": "+1234567890", "status": "registered", "intercom_call_id": "1234", "external_call_id": "call-123-abc", "intercom_conversation_id": "5678", "call_transcript": [], "call_summary": "Customer called about billing issue...", "intent": [] }